BizKitHub
DocsAPI ReferencePost/bff/post/history-detail
getPostAdmin BFF

/bff/post/history-detail

Returns one specific revision in full, with the title and HTML content snapshot (content body is fetched from blob storage on demand).

PostgetBffPostHistory-detail

Parameters

1 query

Query parameters

· 1
idstringRequired

History version handle returned by /history-list.

ExamplevErSiOnHaNdLe123

Response schema

1 status code documented

200Success
idstringRequired

History version handle (echo).

postIdstringRequired

External id of the parent post.

localestringRequired

Locale code of this revision.

insertedDateDate | string | string | numberRequired
One of 4:
Variant 1
Date
Variant 2
stringdate-time
Variant 3
stringdate
Variant 4
number
titlestringRequired
contentstringRequired

Full HTML content snapshot at this revision.

contentSizenumberRequired
commitMessagestring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
authorobjectRequired
idstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
namestringRequired

Response example

application/json
{
  "id": "example_id",
  "postId": "example_postId",
  "locale": "example_locale",
  "title": "example_title",
  "content": "example_content",
  "contentSize": 0,
  "author": {
    "name": "example_name"
  }
}

Request example

GET /bff/post/history-detail

get
curl -X GET "https://api.bizkithub.com/bff/post/history-detail?id=vErSiOnHaNdLe123" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key